Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class UniformUnsignedDistCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.random.UniformUnsignedDistCImpl

public class UniformUnsignedDistCImpl
extends PhaseCImpl
implements UnsignedDistributionC, UnsignedDistributionS, UniformUnsignedDistS, UniformUnsignedDistC

Uniform Unsigned Distribution. A generator of non-negative integral values uniformly distributed across a closed interval [min,max]. (The interval includes both its endpoints.) Setting minValue == maxValue is allowed (and returns minValue).

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`UniformUnsignedDistCImpl()`
`UniformUnsignedDistCImpl(UniformUnsignedDist nextPhase)`

Methods implemented by this class for interface swarm.random.UniformUnsignedDistS
`setUnsignedMin$setMax`

Methods implemented by this class for interface swarm.random.UniformUnsignedDistC
`create$setGenerator$setUnsignedMin$setMax, create$setGenerator$setVirtualGenerator$setUnsignedMin$setMax`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionC
`create$setGenerator, create$setGenerator$setVirtualGenerator, createWithDefaults`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniformUnsignedDistCImpl

    public UniformUnsignedDistCImpl(UniformUnsignedDist nextPhase)

### UniformUnsignedDistCImpl

    public UniformUnsignedDistCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD